For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI ReferenceWebhooks Reference
DocumentationAPI ReferenceWebhooks Reference
  • Ingest Reference
  • Main Reference
      • POSTCreate a new user.
      • GETList users for an account.
      • GETGet the details of a user.
      • PUTUpdate a user.
      • DELDelete a user.
      • DELDelete a list of users.
LogoLogo
Main ReferenceUsers

Get the details of a user.

GET
https://api.invofox.com/users/:id
GET
/users/:id
1const url = 'https://api.invofox.com/users/28b05b800123456789000000';
2const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};
3
4try {
5 const response = await fetch(url, options);
6 const data = await response.json();
7 console.log(data);
8} catch (error) {
9 console.error(error);
10}
200Retrieved
1{
2 "result": {
3 "_id": "28b05b800123456789000000",
4 "account": "28b05b800123456789000000",
5 "creator": "28b05b800123456789000000",
6 "name": "John Doe",
7 "email": "string",
8 "lang": "en",
9 "creation": "2024-01-15T09:30:00Z",
10 "securityGroups": [
11 "28b05b800123456789000000"
12 ]
13 }
14}
Was this page helpful?
Previous

Update a user.

Next
Built with

Authentication

x-api-keystring
API Key authentication via header

Path parameters

idstringRequired

Response

The requested user
resultobject